//
//  YHMineSchemeVC.swift
//  galaxy
//
//  Created by davidhuangA on 2024/3/17.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

/*
 我的方案
 */

class YHMineSchemeViewController: YHBaseViewController {
    
    var tableView: UITableView!
    var dataSource: [YHScemeItemModel]? = []
    
    override func viewDidLoad() {
        super.viewDidLoad()
        gk_navTitle = "我的方案"
        gk_navTitleColor = .white
        gk_navBarAlpha = 1
        gk_navBackgroundImage = UIImage(named: "my_scheme_nav")
        gk_backImage = UIImage(named: "nav_icon_back")
        setView()
        getData()
        // Do any additional setup after loading the view.
    }
    
    func getData() {
        let model1 = YHScemeItemModel(title: "行业定位", mainMessage: "根据您目前给来的材料，初步建议您申请的行业：其他（环境科学、HSE）", lightMessage: "其他（环境科学、HSE）", subMessage: "后续会根据您文书准备的补充情况来最终确定，如有修改会再告知您。")
        let model2 = YHScemeItemModel(title: "资料清单", buttonTitle: "资料清单", mainMessage: "这是您的资料清单，请您前往查看。请您在1-2周内上传基础类证件哦，需要重新办理的可以晚些提供。需要注意的点如下：", lightMessage: "1-2周内", subMessage: "(1)港澳通如未办理，请尽快办理好反馈过来；\n(2)如为国内学校，需要尽快办理学位认证报告；\n(3)如为海外学校，需提供成绩单副本")
        let model3 = YHScemeItemModel(title: "文书清单", buttonTitle: "文书写作", mainMessage: "这是您的文书清单，包括推荐信、赴港计划书，我写好后会发在微信里，与您一起沟通进行哈。3周-4周左右完成，需要咱们共同配合完成的噢", lightMessage: "3周-4周")
        dataSource = [model1, model2, model3]
        tableView.reloadData()
    }
    
    func updateDataSource() {
        
    }
    
    func setView() {
        view.backgroundColor = .contentBkgColor
        tableView = {
            let tableView = UITableView(frame:.zero, style:.plain)
            if #available(iOS 11.0, *) {
                tableView.contentInsetAdjustmentBehavior = .never
            }
            tableView.backgroundColor = .clear
            tableView.separatorStyle = .none
            tableView.delegate = self
            tableView.dataSource = self
            tableView.tableFooterView = YHSchemeTableFooterView(frame: CGRect(x: 0, y: 0, width: KScreenWidth, height: 112))
            let head = YHSchemeTableHeadView(frame: CGRect(x: 0, y: 0, width: KScreenWidth, height: 511))
            head.dataSource = YHScemeHeadModel(totalScore: "100", scoreArray: ["年龄30分","学历30分","工作经验加分15分","语言加分15分","家庭背景加分10分"], scoreLightArray: ["30","30","15","15","10"], addScore: "", name: "黄金龙")
            tableView.tableHeaderView = head
            tableView.register(cellWithClass: YHSchemeTableViewCell.self)
            tableView.bounces = false
            return tableView
        }()
        view.addSubview(tableView)
        tableView.snp.makeConstraints { make in
            make.top.equalTo(k_Height_NavigationtBarAndStatuBar)
            make.left.right.bottom.equalToSuperview()
        }
    }
}

extension YHMineSchemeViewController: UITableViewDelegate, UITableViewDataSource {
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return dataSource?.count ?? 0
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withClass: YHSchemeTableViewCell.self)
        cell.dataSource = dataSource?[indexPath.row]
        return cell
    }
    
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        if indexPath.row == 0 {
            return 199
        }
        
        if indexPath.row == 1 {
            return 251
        }
        
        if indexPath.row == 2 {
            return 190
        }
        return 0
    }
}
